%global realname riak_sysmon
%global upstream basho
%global debug_package %{nil}
%global git_tag aab7706
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.1.2
Release:	3%{?dist}
Summary:	Rate-limiting system_monitor event handler for Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_sysmon
# wget --no-check-certificate --content-disposition https://github.com/basho/riak_sysmon/tarball/1.1.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
Requires:	erlang-erts
Requires:	erlang-kernel
Requires:	erlang-stdlib


%description
Simple OTP app for managing Erlang VM system_monitor event messages.


%prep
%setup -q -n %{upstream}-%{realname}-30f3453


%build
rebar compile -v


%install
rm -rf %{buildroot}
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/%{realname}_app.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 ebin/%{realname}_filter.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 ebin/%{realname}_sup.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin


%clean
rm -rf %{buildroot}


%check
epmd -daemon
rebar eunit -v
epmd -kill


%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam


%changelog
* Thu Jun 07 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-3
- Stop epmd gracefully after running tests

* Tue May 22 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-2
- Fixed tests

* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0
